Package Details: mate-tweak 17.10.15-1

Git Clone URL: https://aur.archlinux.org/mate-tweak.git (read-only)
Package Base: mate-tweak
Description: Tweak tool for MATE (fork of MintDesktop)
Upstream URL: https://github.com/ubuntu-mate/mate-tweak
Licenses: GPL
Submitter: City-busz
Maintainer: jonathon
Last Packager: jonathon
Votes: 21
Popularity: 0.307184
First Submitted: 2015-11-07 09:14
Last Updated: 2017-08-31 15:42

Dependencies (15)

Required by (0)

Sources (2)

Latest Comments

mrnhmath commented on 2017-07-21 18:17

MATE-Tweak moved to Github, can you update the source link?

ThanosApostolou commented on 2017-05-20 11:14

Does it work for you with the new versions (17.10.x)? I tried to build for Manjaro, but even if it builds ok, when I try to switch pane layouts then it crashes and it gives this message on terminal:

(mate-tweak:1759): GLib-GIO-ERROR **: Settings schema 'org.mate.interface' does not contain a key named 'gtk-shell-shows-menubar'
Trace/breakpoint trap (core dumped)

fusion809 commented on 2017-03-28 09:31

Feel free to yourself. I've disowned it.

FredBezies commented on 2017-03-28 09:26

You need to modify it to make it work with mate 1.18.

Replacing :

depends=('gtk3' 'libnotify' 'mate-applets-gtk3' 'python-configobj' 'python-gobject' 'python-psutil' 'python-setproctitle')

by

depends=('gtk3' 'libnotify' 'mate-applets' 'python-configobj' 'python-gobject' 'python-psutil' 'python-setproctitle')

and in optdepends :

mate-netbook-gtk3

by

mate-netbook

fusion809 commented on 2016-10-14 01:32

If you'd rather a GTK2 version you can use my new package, mate-tweak-gtk2.

chetgurevitch commented on 2016-08-08 22:43

The program won't run without python-setproctitle installed; it should be added as a dependency.

City-busz commented on 2016-08-08 11:03

I decided to depend on mate gtk3. If you want to use mate gtk2, then replace mate-applets-gtk3 with mate-applets in dependencies.

drws commented on 2016-08-08 10:58

The latest version of the package (16.10.4-1) needs mate-applets-gtk3, which is in conflict with mate-applets (if the GTK2 version of mate-desktop is used). pacaur output looks like:


:: Starting AUR upgrade...
:: resolving dependencies...
:: looking for inter-conflicts...
:: libmateweather-gtk3 and libmateweather are in conflict (libmateweather). Remove libmateweather? [y/N] y [IF "N" IS ANSWERED, IT FAILS IMMEDIATELY]
:: mate-applets-gtk3 and mate-applets are in conflict (mate-applets). Remove mate-applets? [y/N] y
:: mate-desktop-gtk3 and mate-desktop are in conflict (mate-desktop). Remove mate-desktop? [y/N] y
:: mate-panel-gtk3 and mate-panel are in conflict (mate-panel). Remove mate-panel? [y/N] y

AUR Packages (1) Old Version New Version
aur/mate-tweak 3.5.8-1 16.10.4-1

Repo Packages (6) Old Version New Version Download Size
extra/gtksourceview3 3.20.4-1 0.82 MiB
community/libmateweather-gtk3 1.14.0-1 13.93 MiB
community/mate-applets-gtk3 1.14.0-1 6.45 MiB
community/mate-desktop-gtk3 1.14.1-1 0.53 MiB
community/mate-panel-gtk3 1.14.1-2 1.49 MiB
community/python-distutils-extra 2.39-1 0.02 MiB

Repo Download Size: 23.24 MiB
Repo Installed Size: 54.48 MiB

:: Proceed with installation? [Y/n]


Installation then fails with "failed to prepare transaction" and "unresolvable package conflicts detected". Is this a bug, a GTK2 to GTK3 transition hiccup or expected behaviour?

City-busz commented on 2016-02-26 17:10

Cupertino is available too if plank (or docky) is installed.

raonyguimaraes commented on 2016-02-26 17:04

What about the Cupertino layout ?

All comments